**To delete a stream**

The following ``delete-stream`` example deletes the specified stream. ::

    aws iot delete-stream \
        --stream-id stream12345

This command produces no output.

For more information, see `DeleteStream <https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteStream.html>`__ in the *AWS IoT API Reference*.
